classification
Title: test_distutils: test_get_platform fails on 3.1
Type: behavior Stage: resolved
Components: Distutils, Tests Versions: Python 3.1
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: flox, pitrou, ronaldoussoren, tarek
Priority: high Keywords: buildbot

Created on 2009-12-28 22:00 by pitrou, last changed 2010-01-28 17:48 by flox. This issue is now closed.

Messages (6)
msg96969 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-12-28 22:00
This started happening recently on some 3.1 buildbots:

======================================================================
FAIL: test_get_platform (distutils.tests.test_util.UtilTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File
"/home/doko/buildarea/3.1.klose-debian-alpha/build/Lib/distutils/tests/test_util.py",
line 99, in test_get_platform
    self.assertEquals(get_platform(), 'macosx-10.3-i386')
AssertionError: 'macosx-10.3-x86_64' != 'macosx-10.3-i386'

----------------------------------------------------------------------
msg97083 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-12-31 09:51
That's related to Ronald last change. I am adding him in the loop
msg97085 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-12-31 11:27
I will look at this in the weekend.
msg97091 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-12-31 13:16
Thanks Ronald
msg97826 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-01-15 17:05
Some buildbots which have reported the error:
  AMD64 Ubuntu
  ia64 Ubuntu
  alpha Debian
  AMD64 Gentoo
msg98467 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-01-28 17:48
Fixed with r77586
History
Date User Action Args
2010-01-28 17:48:53floxsetstatus: open -> closed
resolution: accepted
messages: + msg98467

stage: needs patch -> resolved
2010-01-15 17:05:29floxsetnosy: + flox

messages: + msg97826
title: test_get_platform fails on 3.1 -> test_distutils: test_get_platform fails on 3.1
2009-12-31 13:16:03tareksetmessages: + msg97091
2009-12-31 13:03:12r.david.murraysetkeywords: + buildbot
2009-12-31 11:27:10ronaldoussorensetmessages: + msg97085
2009-12-31 09:51:29tareksetassignee: tarek -> ronaldoussoren

messages: + msg97083
nosy: + ronaldoussoren
2009-12-30 21:47:46pitrousetpriority: normal -> high
2009-12-28 22:00:45pitroucreate